Subject: bug#39081: 26.3; Emacs hangs if external SCIM input method is killed

From: Vladimir Nikishkin <[email-masked]>
Date: Thu, 10 Dec 2020 17:45:29 +0800

I think, this is actually a SCIM bug.
At the moment, Slackware has decommissioned SCIM, and it was probably
the last distro using it.
I guess, this bug is no longer relevant.

Thanks,
Vlad

Vladimir Nikishkin <[email-masked]> writes:

> Does Emacs have any deliberate support for SCIM. (Why should it?)
>
> Almost every other application simply ignores the crash. If input is
> requested again, SCIM daemon seems to get started on demand.
>
> Eli Zaretskii <[email-masked]> 於 2020年1月14日 週二 23:52 寫道：
>
>> > From: Vladimir Nikishkin <[email-masked]>
>> > Date: Tue, 14 Jan 2020 11:54:15 +0800
>> > Cc: [email-masked]
>> >
>> > This is the "crashed" trace. Note the GTK message in between.
>>
>> Thanks.  This seems to be an X error.
>>
>> And now I'm actually asking myself how reasonable is it to expect
>> Emacs to continue working when its IM service crashes.  Why is this a
>> use case we should support? does it happen a lot in practice.
>>
>> (I admit I know very little about the architecture of SCIM support in
>> Emacs, in terms of what OS services we use to communicate with it, and
>> thus I cannot reason about the difficulty in surviving SCIM crashes.
>> Does someone know?)
>>

-- 
Vladimir Nikishkin (MiEr, lockywolf)
(Laptop)